View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/subscriptionsPreferstringOptionalreturn=minimal. The server returns a minimal response to optimize communication between the API caller and the server. A minimal response includes the id, status and HATEOAS links.return=representation. The server returns a complete resource representation, including the current state of the resource.application/json
TypeScript Definitions
Use the request body type in TypeScript.
typeenumRequiredcategoryenum<product_category>Optionalapplication/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/catalogs/products" \ -H "Content-Type: string" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "type": "PHYSICAL" }'{ "id": "string", "name": "string", "description": "string", "type": "PHYSICAL", "category": "AC_REFRIGERATION_REPAIR", "image_url": "http://example.com", "home_url": "http://example.com", "create_time": "stringstringstringst", "update_time": "stringstringstringst", "links": [ { "href": "string", "rel": "string", "method": "GET" } ]}